# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.IReportDesign

Packages that use IReportDesign
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of IReportDesign in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return IReportDesign
Modifier and Type
Method
Description
`IReportDesign`
IDesignElement.`getReport()`
Gets the report.

## Uses of IReportDesign in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IReportDesign
Modifier and Type
Method
Description
`void`
ReportEventAdapter.`beforeFactory(IReportDesign report, IReportContext reportContext)`

## Uses of IReportDesign in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IReportDesign
Modifier and Type
Method
Description
`void`
IReportEventHandler.`beforeFactory(IReportDesign report, IReportContext reportContext)`
Handle the beforeFactory event